2 Replies Latest reply: Feb 17, 2012 7:29 AM by Larry West
Kimr8 Level 1 Level 1 (0 points)

I recently purchased a G5 tower powermac (2004) running OS X 10.3.3 and updated to 10.3.9.  I would like to know if I can upgrade to 10.6.3 or higher OS. I also bought and installed an airport extreme card but it will not recognize my new time capsule wi-fi network.  Can I fix this?  Thanks in advance for your help.     Kimr


PowerMac, Mac OS X (10.3.x)